@GET muestra un error, no sé por qué Entonces mi código estaba en java:

package com.example.goodNews;

import retrofit2.Call;
import retrofit2.http.GET;
import retrofit2.http.GET;


public interface RetrofitAPI {
    @GET
    Call<NewsModal> getAllNews(@Url String url);

}

Editado: Ooops mi error, hubo un error tipográfico en mi archivo gradleBuild.Dependnecies.

-1
Devyanshu Negi 27 nov. 2021 a las 09:25

1 respuesta

La mejor respuesta

Comprobar gradle-> aplicación -> dependencias -> com.squareup.retrofit2: retrofit: 2.9.0 existe

0
yan sam 27 nov. 2021 a las 09:35
Gracias, fue mi mal en lugar de "squreup" escribí "squarepu".
 – 
Devyanshu Negi
27 nov. 2021 a las 13:05